Category:  Estimated time: 0.00 hour
Description

Add a table that allows alternative title slugs to be used for texts. This allows the title_slugs to be modified without breaking existing

links.

Subtasks:

Task # 586: Dereference work title slugs from shortcuts table Closed

Task # 587: Adjust URL if a new URL is used Closed

History

#1 - 03/25/2013 11:29 PM - Luke Murphey

- Status changed from New to In Progress

#2 - 03/26/2013 04:28 AM - Luke Murphey

- File aliases.xlsx added

#3 - 03/26/2013 04:30 AM - Luke Murphey

I populated the table with existing aliases with the following code:

from reader.models import Work, WorkAlias

s = """78    orationes-1

462    speeches-1

509    regum-et-imperatorum-apophthegmata-1

511    apophthegmata-laconica-1

512    instituta-laconica-1

513    lacaenarum-apophthegmata-1

515    mulierum-virtutes-1

517    quaestiones-romanae-1

519    quaestiones-graecae-1

521    parallela-minora-1

523    de-fortuna-romanorum-1

525    de-alexandri-magni-fortuna-aut-virtute-1

527    de-gloria-atheniensium-1

677    histories-1""" 

items = s.split("\n")

for item in items:

    id, alias = item.split("\t")

    work = Work.objects.get(id=id)

    work_alias = WorkAlias(work=work, title_slug=alias)

    work_alias.save()
#4 - 03/26/2013 06:09 AM - Luke Murphey

- Status changed from In Progress to Closed

Files

aliases.xlsx 99 KB 03/26/2013 Luke Murphey
